unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, PathConvert;

type
  TForm1 = class(TForm)
    GroupBox1: TGroupBox;
    Label1: TLabel;
    txtPath: TEdit;
    Label2: TLabel;
    txtShort: TEdit;
    Label3: TLabel;
    txtLong: TEdit;
    GroupBox2: TGroupBox;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    txtCurDir: TEdit;
    txtRel: TEdit;
    txtAbs: TEdit;
    Button1: TButton;
    Button2: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
  //Длинный путь в короткий
  txtShort.Text := LongPathToShort(txtPath.Text);
  //Короткий путь в длинный
  txtLong.Text := ShortPathToLong(txtShort.Text);
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  //Абсолютный путь в относительный
  //txtRel.Text := AbsPathToRelative(txtPath.Text, txtCurDir.Text);
  //Относительный в абсолютный (если txtPath.Text - абсолютный путь)
  txtAbs.Text := RelativePathToRelative(txtRel.Text, txtCurDir.Text);
end;

end.
